/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','./library'],function(q,l){"use strict";var B={};B.render=function(r,b){this.startCell(r,b);this.addContent(r,b);this.endCell(r);};B.startCell=function(r,b){r.write("<div");r.writeControlData(b);r.addClass("sapUiBlockLayoutCell");if(b._getDifferentSBreakpointSize()){this.setDifferentSBreakpointSize(r,b._getWidthToRowWidthRatio());}else{this.setWidth(r,b);}r.writeStyles();r.writeClasses();r.write(">");};B.setDifferentSBreakpointSize=function(r,w){switch(w){case 0.25:r.addClass("sapUiBlockSmallCell");break;case 0.5:r.addClass("sapUiBlockMediumCell");break;default:break;}};B.setWidth=function(r,b){if(b._getParentRowScrollable()){var w=b.getWidth();if(w!==0){r.addStyle("width",w+"%");}}else{var f=(b.getWidth()==0)?1:b.getWidth();this.addFlex(r,f);}};B.addFlex=function(r,f){r.addStyle("-webkit-flex",f);r.addStyle("-ms-flex",f);r.addStyle("flex",f);};B.addTitle=function(r,b){if(b.getTitle()){var a="sapUiBlockCell"+b.getTitleAlignment(),t="sapUiBlockCellTitle "+a;var c=b.getTitleLevel(),d=c==sap.ui.core.TitleLevel.Auto,e=d?"h2":c;r.write("<"+e+" id='"+this.getTitleId(b)+"' class='"+t+"'>");r.writeEscaped(b.getTitle());r.write("</"+e+">");}};B.getTitleId=function(b){return b.getId()+"-Title";};B.addContent=function(r,b){var c=b.getContent(),a="sapUiBlockCellContent ";if(b.getTitleAlignment()=="Center"){a+="sapUiBlockCellCenteredContent";}r.write("<div class='"+a+"' aria-labelledby='"+this.getTitleId(b)+"' >");this.addTitle(r,b);c.forEach(r.renderControl);r.write("</div>");};B.endCell=function(r){r.write("</div>");};return B;},true);
